io.vertx.ext.web.openapi

## Enum RouteNamingStrategy

- java.lang.Object
- - java.lang.Enum<RouteNamingStrategy>
  - - io.vertx.ext.web.openapi.RouteNamingStrategy

- All Implemented Interfaces:
    Serializable, Comparable<RouteNamingStrategy>, java.util.function.Function<Operation,String>

      public enum RouteNamingStrategy
      extends Enum<RouteNamingStrategy>
      implements java.util.function.Function<Operation,String>

  The way an OpenAPI operation is transformed into a route name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPERATION_ID`
    `OPERATION_OPENAPI_PATH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `apply(Operation operation)`
    `static RouteNamingStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RouteNamingStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Enum Constant Detail

    - #### OPERATION_ID

          public static final RouteNamingStrategy OPERATION_ID

    - #### OPERATION_OPENAPI_PATH

          public static final RouteNamingStrategy OPERATION_OPENAPI_PATH

  - ### Method Detail

    - #### values

          public static RouteNamingStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RouteNamingStrategy c : RouteNamingStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RouteNamingStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### apply

          public String apply(Operation operation)

      Specified by:
        `apply` in interface `java.util.function.Function<Operation,String>`

Copyright © 2021 Eclipse. All rights reserved.